### Method

# GLib Thread get_name

since: 2.84

#### Declaration [src]

    const char*
    g_thread_get_name (
      GThread* thread
    )

#### Description [src]

Gets the name of the thread.

This function is intended for debugging purposes.

Available since: 2.84

#### Return value

Type: `const char*`

The name of the thread.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.